/// <reference types="cypress" />
import DataTable from "@cucumber/cucumber/lib/models/data_table";
import { IParameterTypeDefinition } from "./types";
export declare class Registry {
    methods: {
        Given<T extends unknown[]>(description: string | RegExp, body: (this: Mocha.ITestCallbackContext, ...args: T) => void): void;
        When<T extends unknown[]>(description: string | RegExp, body: (this: Mocha.ITestCallbackContext, ...args: T) => void): void;
        Then<T extends unknown[]>(description: string | RegExp, body: (this: Mocha.ITestCallbackContext, ...args: T) => void): void;
        Step(world: Mocha.ITestCallbackContext, description: string, argument?: DataTable | string): void;
        defineParameterType<T>(options: IParameterTypeDefinition<T>): void;
        Before(this: Mocha.ITestCallbackContext, options: {
            tags?: string;
        }, fn: () => void): void;
        Before(this: Mocha.ITestCallbackContext, fn: () => void): void;
        After(this: Mocha.ITestCallbackContext, options: {
            tags?: string;
        }, fn: () => void): void;
        After(this: Mocha.ITestCallbackContext, fn: () => void): void;
    };
    private parameterTypeRegistry;
    private stepDefinitions;
    private beforeHooks;
    private afterHooks;
    constructor();
    private defineStep;
    private defineParameterType;
    private defineBefore;
    private defineAfter;
    private resolveStepDefintion;
    runStepDefininition(world: any, text: string, argument?: DataTable | string): void;
    runBeforeHooks(world: any, tags: string[]): void;
    runAfterHooks(world: any, tags: string[]): void;
}
declare const _default: Registry;
export default _default;
